#ifndef CHESSY_ENGINEINFO_H_
#define CHESSY_ENGINEINFO_H_

#include <string>

namespace chessy
{
    /*!
     * This namespace contains general attributes and information about
     * the program.
     */
    namespace info
    {
        /*!
         * the version number of this release of chessy
         */
        extern short        version[3];

        /*!
         * this is the version number as a string (numbers separated by dots).
         */
        extern std::string  versionString;

        /*!
         * the full long name of this engine
         */
        extern std::string  longName;
        
        /*!
         * a short name for this engine
         */
        extern std::string  shortName;
        
        /*!
         * text that is displayed as the engine starts.
         */
        extern std::string  welcomeText;

        /*!
         * short decription of the engine.
         */
        extern std::string  helpText;
    }
}

#endif // CHESSY_ENGINEINFO_H_

